Skip to content

Get currency transfer history

GET
/v2/treasury/wallet/{walletId}/transfer/{currencyName}/history

Get the transfer history for a specific wallet and currency with filters and pagination

walletId
required
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09

The wallet ID

currencyName
required
string
USDC

The currency name

status
required
string
Allowed values: PENDING COMPLETED FAILED
PENDING

The status of the transaction

actionType
required
string
Allowed values: DEPOSIT WITHDRAW
DEPOSIT

The action type of the transaction

fromDate
required
string
2025-01-01T00:00:00.000Z

The start date of the transaction

toDate
required
string
2025-01-01T00:00:00.000Z

The end date of the transaction

sortOrder
required
string
Allowed values: asc desc
desc

The sort order by Date

page

Object with the page number and the number of items per page

object
number
required

Page number (starts at 1)

number
1
size
required

Items per page

number
10
totalPages
required

Total number of items

number
100
totalCount
required

Total number of pages

number
10
hasNext
required

Whether there is a next page

boolean
true
hasPrev
required

Whether there is a previous page

boolean
page[number]
number
1

Page number (starts at 1)

page[size]
number
10

Items per page

List of transfer history entries

object
items
required

List of transfer history items

Array<object>
object
currencyTransferHistoryId
required

The history entry ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
currencyId
required

The currency ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
currencySymbol
required

The currency symbol

string
USDC
walletId
required

The wallet ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
fromAddress
required

The source address

string
0x1234...
toAddress
required

The destination address

string
0x5678...
txQueryId
required

The transaction query ID

string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
actionType
required

The action type

string
Allowed values: TRANSFER_OUT TRANSFER_IN
value
required

The transfer amount

string
100.123456
status
required

The transaction status

string
Allowed values: PENDING COMPLETED FAILED
preBalance
required

Balance before the transaction

string
1000.123456
postBalance
required

Balance after the transaction

string
900.123456
createdAt
required

The transaction timestamp

string
2024-03-20T10:30:00.000Z
updatedAt
required

Last update timestamp

string
2024-03-20T10:30:00.000Z
page
required

Pagination information

object
number
required

Page number (starts at 1)

number
1
size
required

Items per page

number
10
totalPages
required

Total number of items

number
100
totalCount
required

Total number of pages

number
10
hasNext
required

Whether there is a next page

boolean
true
hasPrev
required

Whether there is a previous page

boolean

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error